summaryrefslogtreecommitdiffstats
path: root/misc/lxappearance
diff options
context:
space:
mode:
author majk <majk@konstelacioj.info>2010-05-12 23:31:41 +0200
committer David Somero <xgizzmo@slackbuilds.org>2010-05-12 23:31:41 +0200
commitf17cf614fc98c97e661886bbc498bd9bea3ecb0b (patch)
tree8bcb6f1c94af423807ba339a7f60343a72773ba8 /misc/lxappearance
parent8606ae40e17299517357963f0655adf227e8cf51 (diff)
downloadslackbuilds-f17cf614fc98c97e661886bbc498bd9bea3ecb0b.tar.gz
slackbuilds-f17cf614fc98c97e661886bbc498bd9bea3ecb0b.tar.xz
misc/lxappearance: Added to 12.2 repository
Diffstat (limited to 'misc/lxappearance')
-rw-r--r--misc/lxappearance/README2
-rw-r--r--misc/lxappearance/doinst.sh3
-rw-r--r--misc/lxappearance/lxappearance.SlackBuild66
-rw-r--r--misc/lxappearance/lxappearance.info8
-rw-r--r--misc/lxappearance/slack-desc20
5 files changed, 99 insertions, 0 deletions
diff --git a/misc/lxappearance/README b/misc/lxappearance/README
new file mode 100644
index 0000000000..b61853913f
--- /dev/null
+++ b/misc/lxappearance/README
@@ -0,0 +1,2 @@
+LXAppearance is the standard theme switcher of LXDE. Users are able to
+change the theme, icons, and fonts used by applications easily.
diff --git a/misc/lxappearance/doinst.sh b/misc/lxappearance/doinst.sh
new file mode 100644
index 0000000000..01ca62b341
--- /dev/null
+++ b/misc/lxappearance/doinst.sh
@@ -0,0 +1,3 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi \ No newline at end of file
diff --git a/misc/lxappearance/lxappearance.SlackBuild b/misc/lxappearance/lxappearance.SlackBuild
new file mode 100644
index 0000000000..58e95bea27
--- /dev/null
+++ b/misc/lxappearance/lxappearance.SlackBuild
@@ -0,0 +1,66 @@
+#!/bin/sh
+
+# Slackware build script for LostIRC
+
+# Written by "majk" <majk@konstelacioj.info>
+
+PRGNAM=lxappearance
+VERSION=${VERSION:-0.2}
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+fi
+
+set -e # Exit on most errors
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --mandir=/usr/man \
+ --build=$ARCH-slackware-linux
+
+make
+make install-strip DESTDIR=$PKG
+
+( cd $PKG/usr/man
+ find . -type f -exec gzip -9 {} \;
+ for i in $( find . -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+)
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS ChangeLog COPYING INSTALL NEWS README \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/misc/lxappearance/lxappearance.info b/misc/lxappearance/lxappearance.info
new file mode 100644
index 0000000000..5df11e7acb
--- /dev/null
+++ b/misc/lxappearance/lxappearance.info
@@ -0,0 +1,8 @@
+PRGNAM="lxappearance"
+VERSION="0.2"
+HOMEPAGE="http://lxde.org"
+DOWNLOAD="http://downloads.sourceforge.net/lxde/lxappearance-0.2.tar.gz"
+MD5SUM="28e436c13ab09af54ffc6b415407ca37"
+MAINTAINER="majk"
+EMAIL="majk@konstelacioj.info"
+APPROVED="dsomero"
diff --git a/misc/lxappearance/slack-desc b/misc/lxappearance/slack-desc
new file mode 100644
index 0000000000..307e922543
--- /dev/null
+++ b/misc/lxappearance/slack-desc
@@ -0,0 +1,20 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|' on
+# the right side marks the last column you can put a character in. You must make
+# exactly 11 lines for the formatting to be correct. It's also customary to
+# leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+lxappearance: lxappearance (Simple GTK theme switcher)
+lxappearance:
+lxappearance: LXAppearance is the standard theme switcher of LXDE. Users are able
+lxappearance: to change the theme, icons, and fonts used by applications easily.
+lxappearance:
+lxappearance:
+lxappearance:
+lxappearance:
+lxappearance:
+lxappearance: Homepage: http://lxde.org/
+lxappearance:
+ \ No newline at end of file